%define lib_major	0
%define libname         %mklibname %name %{lib_major}
%define libnamedev      %mklibname %name -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global libhandy_version 1.5.0

Summary:	GNOME 3 help browser
Name:		yelp
Version:	42.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Yelp
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libexslt)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(webkit2gtk-web-extension-4.1)
BuildRequires:	pkgconfig(yelp-xsl)
BuildRequires:	appstream-util
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	itstool
Requires:	docbook-dtds
Requires:	yelp-xsl
Requires:	man

%description
Help browser for GNOME 3 which supports docbook documents, info and man.

%files -f %{name}.lang
%license COPYING
%doc README* TODO AUTHORS NEWS
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.Yelp*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %name
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains libraries used by the yelp help browser.

%files -n %libname
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# for yelp.m4 as well as the build tools:
Requires:	yelp-tools
Recommends:	itstool

%description -n %{libnamedev}
This package contains header files and documentation for
the libraries in the yelp-libs package.

%files -n %{libnamedev}
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure \
	--disable-schemas-compile \
	--disable-appstream-util \
	--disable-static

%make_build

%install
%make_install

%find_lang %{name} --with-gnome


%changelog
* Tue Sep 26 2023 tv <tv> 42.2-2.mga10
+ Revision: 1991133
- Drop unused libunwind dependencies

* Sun Sep 18 2022 wally <wally> 42.2-1.mga9
+ Revision: 1890069
- new version 42.2 (from ovitters)
- build against webkit2gtk-4.1

* Sun Mar 27 2022 tv <tv> 42.1-1.mga9
+ Revision: 1829167
- Update to 42.1

* Sun Mar 20 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801688
- Update to 42.0

* Mon Jan 10 2022 tv <tv> 41.2-1.mga9
+ Revision: 1767441
- 41.2

* Fri Jul 09 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1735481
- new version 40.3

* Sun Jun 06 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1729933
- new version 40.2

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709135
- new version 40.0
- new version 3.38.3

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648312
- new version 3.38.2

* Sat Oct 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632104
- new version 3.38.1

* Sun Sep 13 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625436
- new version 3.38.0

* Sat Aug 08 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1612040
- new version 3.37.90

* Sun Mar 08 2020 daviddavid <daviddavid> 3.36.0-1.mga8
+ Revision: 1554780
- new version 3.36.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438853
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436422
- new version 3.33.92

* Wed May 08 2019 tmb <tmb> 3.32.2-1.mga7
+ Revision: 1396826
- update to 3.32.2

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386885
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374037
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372624
- new version 3.31.90

* Fri Dec 28 2018 wally <wally> 3.30.0-2.mga7
+ Revision: 1345591
- drop unneeded requires for gnome-doc-utils and gnome-user-docs
- require docbook-dtds

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1256984
- new version: 3.30.0

* Tue Apr 10 2018 tv <tv> 3.28.1-1.mga7
+ Revision: 1216947
- fix filelist
+ ovitters <ovitters>
- new version 3.28.1

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209103
- new version 3.28.0

* Sat Feb 24 2018 guillomovitch <guillomovitch> 3.27.1-1.mga7
+ Revision: 1204718
- new version 3.27.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153029
- new version 3.26.0

* Mon Aug 21 2017 ovitters <ovitters> 3.25.3-1.mga7
+ Revision: 1142713
- new version 3.25.3

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-3.mga6
+ Revision: 1054935
- yelp-devel recommend itstool

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1054909
- yelp-devel needs yelp-tools for yelp.m4

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054580
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.3-1.mga6
+ Revision: 1053993
- new version 3.21.3

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000473
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993617
- new version 3.20.0

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981495
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961681
- new version 3.19.90

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905161
- new version 3.19.1

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890118
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882872
- new release

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871822
- new version 3.17.91

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865347
- new version 3.17.90

* Tue Jul 21 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855926
- new version 3.17.4

* Wed Jul 08 2015 wally <wally> 3.17.3-2.mga6
+ Revision: 852911
- add requires exception

* Wed Jun 24 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 842479
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838303
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.2-1.mga6
+ Revision: 836301
- new version 3.14.2

* Sun Jan 04 2015 ovitters <ovitters> 3.14.1-3.mga5
+ Revision: 808418
- require gnome-user-docs to prevent error messages under Cinnamon (mga#14823)

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 743459
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738535
- new version 3.14.1

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721241
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 690830
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 677564
- new version 3.13.92

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665623
- new version 3.13.90

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-2.mga5
+ Revision: 639421
- relax yelp-xsl requirement

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639371
- new version 3.13.3

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608234
- new version 3.12.0

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599064
- new version 3.11.91

* Wed Feb 05 2014 ovitters <ovitters> 3.11.1-1.mga5
+ Revision: 582851
- new version 3.11.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-4.mga4
+ Revision: 550204
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545020
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500648
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484436
- new version 3.10.0
+ dams <dams>
- better version require for 'yelp-xsl'

* Wed Sep 04 2013 joequant <joequant> 3.9.91-3.mga4
+ Revision: 475045
- change yelp-xsl dependency to point to 3.9.90

* Tue Sep 03 2013 dams <dams> 3.9.91-2.mga4
+ Revision: 474887
- bump release

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474745
- new version 3.9.91

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472213
- new version 3.9.90

* Fri May 24 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 426131
- new version 3.8.1

* Mon Jan 14 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 387554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317329
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306717
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297246
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295511
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288027
- new version 3.5.91
+ fwang <fwang>
- own helpdir

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285484
- new version 3.5.90

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235723
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231114
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226878
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224502
- new version 3.3.92

* Thu Feb 23 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 213551
- update file list
- update buildrequires
- new version

* Wed Feb 15 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 209365
- remove desktop patch now that we have desktop-file-utils 0.19

* Tue Jan 17 2012 wally <wally> 3.3.3-1.mga2
+ Revision: 197431
- new version 3.3.3
- don't use autogen at build time

* Wed Dec 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 185469
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158620
- new version 3.3.1

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155874
- drop P6, applied upstream
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149058
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.4-1.mga2
+ Revision: 145815
- new version 3.1.4

* Tue Sep 06 2011 wally <wally> 3.1.3-2.mga2
+ Revision: 139604
- add more general provides to -devel pkg

* Tue Sep 06 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 139346
- new version 3.1.3
+ wally <wally>
- new version 3.1.2
- rediff the str fmt patch
- add patch to fix .desktop file

* Sat Jul 09 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 121153
- new version 3.1.1
- clean .spec a bit

* Mon Jun 27 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 114313
- new version 3.0.4

* Wed Jun 22 2011 cjw <cjw> 3.0.3-3.mga2
+ Revision: 111777
- add missing dependency on yelp-xsl

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.3-2.mga2
+ Revision: 111740
- Fix descriptions

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 110795
- Fix buildrequires
- Add gtk-doc as buildrequire
- New version
  Add lib and devel package

* Thu Jan 20 2011 blino <blino> 2.30.2-4.mga1
+ Revision: 25043
- remove old comment
- imported package yelp

